Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.runtime.channels
Class EventHandlerControlChannelListener

    java.lang.Object
      org.apache.ode.jacob.JacobObject
          org.apache.ode.jacob.ChannelListener<EventHandlerControlChannel>
              org.apache.ode.bpel.runtime.channels.EventHandlerControlChannelListener

All Implemented Interfaces:
  java.io.Serializable, EventHandlerControl

    public abstract class EventHandlerControlChannelListener

extends ChannelListener<EventHandlerControlChannel>
implements EventHandlerControl

An auto-generated channel listener abstract class for the `EventHandlerControl` channel type.

See Also:
  `EventHandlerControl`, `EventHandlerControlChannel`, Serialized Form

Constructor Summary
`protected` | `EventHandlerControlChannelListener(EventHandlerControlChannel channel)`

Method Summary
`protected org.apache.commons.logging.Log` | `log()`

Methods inherited from class org.apache.ode.jacob.ChannelListener
`getChannel, getImplementedMethods, or, or, setChannel, toString`

Methods inherited from class org.apache.ode.jacob.JacobObject
`getClassName, getExtension, getMethod, importChannel, instance, newChannel, newChannel, object, object, object, object, replication, replication`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.ode.bpel.runtime.channels.EventHandlerControl
`stop`

Constructor Detail

### EventHandlerControlChannelListener

    protected EventHandlerControlChannelListener(EventHandlerControlChannel channel)

Method Detail

### log

    protected org.apache.commons.logging.Log log()

  Overrides:
    `log` in class `ChannelListener<EventHandlerControlChannel>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD